Page MenuHomePhabricator

RC and Watchlist: url limit parameter allows to see more than 1000 results
Closed, ResolvedPublic

Description

  1. On RC page or Watchlist, change ?limit=10000 in url.
  1. See how many results on a page with $('.mw-changeslist li' ).length - the number of results will be more than 1,000 (of course if the number of results can be that number - depending on changes that actually happen, the filter selection etc).

On Preferences page the max limits for the number of results on RC and Watchlist are 1,000.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2018, 3:32 PM
Etonkovidova updated the task description. (Show Details)Oct 4 2018, 3:32 PM
SBisson changed the subtype of this task from "Task" to "Bug Report".Oct 16 2018, 1:10 PM
SBisson changed the subtype of this task from "Bug Report" to "Task".Oct 16 2018, 6:41 PM
SBisson added a subscriber: SBisson.

Since we decided that the front end should have a limit of 1,000, the backend should be consistent with that business rule.

JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Change 474373 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] ChangesListSpecialPage: Make maximum limit consistent (1000)

https://gerrit.wikimedia.org/r/474373

Change 474373 merged by jenkins-bot:
[mediawiki/core@master] ChangesListSpecialPage: Make maximum limit consistent (1000)

https://gerrit.wikimedia.org/r/474373

Etonkovidova closed this task as Resolved.Nov 21 2018, 8:07 PM

Checked in betalabs.

(Please add tags so tasks can be found when searching. Most people have no idea what team is working on what. Thanks!)